classification
Title: The license page for Python 3.0.1 is messed up
Type: behavior Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: MaT1g3R, docs@python, kj, terry.reedy
Priority: normal Keywords:

Created on 2020-10-26 22:17 by MaT1g3R, last changed 2020-10-30 22:59 by terry.reedy. This issue is now closed.

Messages (3)
msg379692 - (view) Author: (MaT1g3R) * Date: 2020-10-26 22:17
Page in question: https://docs.python.org/3.0/license.html

The page still shows up in web searches (this is how I found the error)

I tracked down the error to this commit, but I couldn't find a relevant branch to fix it: 4ca04b67f00edabe86072446f059adcb70eafcdd
msg379771 - (view) Author: Ken Jin (kj) * Date: 2020-10-27 16:26
Python 3.0.x is no longer being maintained. As such I don't think there's a way for a fix to be ported over. I might be wrong though.
msg380010 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-10-30 22:59
The docs pages interpret x.y as x.y.latest.  So the 3.0 doc is for the 3.0.1 release, the last for 3.0.
https://docs.python.org/release/3.0.1/license.html
https://docs.python.org/release/3.0/license.html is fine.

What's messed up is the license history table at the top due to a merge conflict artifact that should have been deleted.  I am not sure whether there are also '\n's missing.  The actual 3.0(.0 now) page, 

All 3.x branches no longer getting security fixes have been 'locked' (I am not sure of the term.)  This just happened with 3.5, so 3.6.  Ditto for 2.x before 2.7.  (2.7 is not locked either because Benjamin has just done it yet or because he want to let people extract it.

Fixing this would require one of the python/cpython owners to temporarily unlock the branch.  I am closing this because I doubt any would think this important enough, but anyone is welcome to post on pydev list asking.

The real problem, which we would like to fix but cannot, is web searches returning obsolete links.
History
Date User Action Args
2020-10-30 22:59:01terry.reedysetstatus: open -> closed

title: The license page for Python 3.0 is messed up -> The license page for Python 3.0.1 is messed up
nosy: + terry.reedy

messages: + msg380010
resolution: out of date
stage: resolved
2020-10-27 16:26:09kjsetnosy: + kj
messages: + msg379771
2020-10-26 22:17:00MaT1g3Rcreate